This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207082 - Review Request: perl-Feed-Find - Syndication feed auto-discovery
Review Request: perl-Feed-Find - Syndication feed auto-discovery
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-19 04:01 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 07:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-09-19 04:01:29 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Feed-Find.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Feed-Find-0.06-1.src.rpm 
Description: 
Feed::Find implements feed auto-discovery for finding syndication feeds, 
given a URI. It (currently) passes all of the auto-discovery tests at 
http://diveintomark.org/tests/client/autodiscovery/.

Feed::Find will discover the following feed formats:

    * RSS 0.91
    * RSS 1.0
    * RSS 2.0
    * Atom
Comment 1 Jason Tibbitts 2006-09-22 21:30:03 EDT
This fails to build for me:

t/01-find.......
#   Failed test in t/01-find.t at line 13.
#          got: '0'
#     expected: '1'

#   Failed test in t/01-find.t at line 14.
#          got: undef
#     expected: 'http://stupidfool.org/perl/feeds/ok.xml'

#   Failed test in t/01-find.t at line 20.
#          got: '0'
#     expected: '1'

#   Failed test in t/01-find.t at line 21.
#          got: undef
#     expected: 'http://stupidfool.org/perl/feeds/ok.xml'
# Looks like you failed 4 tests of 4.
dubious
        Test returned status 4 (wstat 1024, 0x400)
DIED. FAILED tests 1-4
        Failed 4/4 tests, 0.00% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/01-find.t    4  1024     4    4 100.00%  1-4
Failed 1/2 test scripts, 50.00% okay. 4/5 subtests failed, 20.00% okay.

I doubt this test will ever work in mock.  I think you need "rm t/01-find.t" in
%check (or in %prep if you want to avoid a complaint about a missing test) with
suitable comments to indicate why it's being disabled.

That done, things build OK.

I'll assume that change is done for the purposes of this review.
* source files match upstream:
   be4537f652d41243cbf98f5e937d16f3  Feed-Find-0.06.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is unnecessary, and perl(LWP::UserAgent) is
redundant).
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Feed::Find) = 0.06
   perl-Feed-Find = 0.06-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Class::ErrorHandler)
   perl(HTML::Parser)
   perl(LWP::UserAgent)
   perl(URI)
   perl(base)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.04 cusr +  0.01 csys =  0.05 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, provided the non-runnable test is removed so that things build in mock.
Comment 2 Patrice Dumas 2006-09-24 07:22:44 EDT
Thanks for the review. I imported in cvs after removing the test
in %prep. It built in devel.

Note You need to log in before you can comment on or make changes to this bug.